Bug 189957 - kwin effects are not enabled on ati card
Summary: kwin effects are not enabled on ati card
Status: RESOLVED WORKSFORME
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: investigated, triaged
Depends on:
Blocks:
 
Reported: 2009-04-18 12:53 UTC by Oleg Terehov
Modified: 2018-09-23 02:22 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
glxinfo output (11.75 KB, application/octet-stream)
2010-02-21 17:19 UTC, Andrei ILIE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Terehov 2009-04-18 12:53:29 UTC
Version:            (using KDE 4.2.2)
Compiler:          SUSE 11.1 factory repository 
OS:                Linux
Installed from:    SuSE RPMs

The effects are not enabled after update to KDE4.2.2. When I try to enable effects the screen starts to blink. This is my .xsession-errors:

kdeinit4: preparing to launch /usr/bin/kcmshell4
Object::connect: No such slot KWin::KWinCompositingConfig::compositingModeChanged()
Object::connect:  (sender name:   'compositingType')
Object::connect:  (receiver name: 'KWinCompositingConfig')
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6863917 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6864265 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6864619 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6864999 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6865346 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6865705 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6866062 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6866406 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6866761 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6867112 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6867454 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6867801 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6868148 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6868492 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6869206 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6869547 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6869897 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6870242 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6870595 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6870937 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6871282 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6871624 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6871969 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6872310 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6872653 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6873037 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6873404 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_sphere"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_sphere"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_sphere"  is not supported 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6874710 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6875246 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6875605 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_sphere"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_sphere"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_sphere"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_sphere"  is not supported 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6880220 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6880609 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6880963 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6881307 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6881661 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6882013 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6882359 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6882709 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6883062 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6883400 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6883751 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6884103 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6884449 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6884810 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6885495 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6885863 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6886206 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6886551 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6886900 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6887241 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6887584 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6887926 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 
kwin(3956) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_sphere"  is not supported 
Object::connect: Attempt to bind non-signal TaskManager::TaskGroup::editRequest()
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x4e0ea2d
Object::connect: Attempt to bind non-signal TaskManager::TaskGroup::editRequest()
Comment 1 Oleg Terehov 2009-04-18 12:54:09 UTC
cat /etc/X11/xorg.conf
# /.../                                      
# SaX generated X11 config file              
# Created on: 2009-04-05T01:09:07+0400.      
#                                            
# Version: 8.1                               
# Contact: Marcus Schaefer <sax@suse.de>, 2005
# Contact: SaX-User list <https://lists.berlios.de/mailman/listinfo/sax-users>
#                                                                             
# Automatically generated by [ISaX] (8.1)                                     
# PLEASE DO NOT EDIT THIS FILE!                                               
#                                                                             

Section "Files"
  FontPath     "/usr/share/fonts/misc:unscaled"
  FontPath     "/usr/share/fonts/local"        
  FontPath     "/usr/share/fonts/75dpi:unscaled"
  FontPath     "/usr/share/fonts/100dpi:unscaled"
  FontPath     "/usr/share/fonts/Type1"          
  FontPath     "/usr/share/fonts/URW"            
  FontPath     "/usr/share/fonts/Speedo"         
  FontPath     "/usr/share/fonts/PEX"            
  FontPath     "/usr/share/fonts/cyrillic"       
  FontPath     "/usr/share/fonts/latin2/misc:unscaled"
  FontPath     "/usr/share/fonts/latin2/75dpi:unscaled"
  FontPath     "/usr/share/fonts/latin2/100dpi:unscaled"
  FontPath     "/usr/share/fonts/latin2/Type1"          
  FontPath     "/usr/share/fonts/latin7/75dpi:unscaled" 
  FontPath     "/usr/share/fonts/baekmuk:unscaled"      
  FontPath     "/usr/share/fonts/japanese:unscaled"     
  FontPath     "/usr/share/fonts/kwintv"                
  FontPath     "/usr/share/fonts/truetype"              
  FontPath     "/usr/share/fonts/uni:unscaled"          
  FontPath     "/usr/share/fonts/CID"                   
  FontPath     "/usr/share/fonts/ucs/misc:unscaled"     
  FontPath     "/usr/share/fonts/ucs/75dpi:unscaled"    
  FontPath     "/usr/share/fonts/ucs/100dpi:unscaled"   
  FontPath     "/usr/share/fonts/hellas/misc:unscaled"  
  FontPath     "/usr/share/fonts/hellas/75dpi:unscaled" 
  FontPath     "/usr/share/fonts/hellas/100dpi:unscaled"
  FontPath     "/usr/share/fonts/hellas/Type1"          
  FontPath     "/usr/share/fonts/misc/sgi:unscaled"     
  FontPath     "/usr/share/fonts/xtest"                 
  FontPath     "/opt/kde3/share/fonts"                  
  InputDevices "/dev/gpmdata"                           
  InputDevices "/dev/input/mice"                        
EndSection                                              

Section "ServerFlags"
  Option       "AIGLX" "on"
  Option       "AllowMouseOpenFail" "on"
  Option       "IgnoreABI" "on"         
  Option       "ZapWarning" "on"        
EndSection                              

Section "Module"
  Load         "extmod"
  Load         "dbe"   
  Load         "glx"   
  Load         "freetype"
  Load         "dri"     
EndSection               

Section "InputDevice"
  Driver       "kbd" 
  Identifier   "Keyboard[0]"
  Option       "Protocol" "Standard"
  Option       "XkbLayout" "us,ru"  
  Option       "XkbModel" "microsoftpro"
  Option       "XkbOptions" "grp:ctrl_shift_toggle,grp_led:scroll"
  Option       "XkbRules" "xfree86"                               
  Option       "XkbVariant" ",winkeys"                            
EndSection                                                        


Section "InputDevice"
  Driver       "evdev"
  Identifier   "Mouse[1]"
  Option       "InputFashion" "Mouse"
  Option       "Name" "Logitech VX Nano Laser Mouse"
  Option       "Pass" "3"                           
  Option       "Vendor" "Sysp"                      
 # Option       "ZAxisMapping" "4 5"                
  Option          "WHEELRelativeAxisButtons" "4 5"  
  Option          "HWHEELRelativeAxisButtons" "7 6" 
  Option       "evBits" "+1-2"                      
  Option       "keyBits" "~272-287"                 
  Option       "relBits" "~0-2 ~6 ~8"               
EndSection                                          

Section "InputDevice"
  Driver       "mouse"
  Identifier   "Mouse[3]"
  Option       "Buttons" "5"
  Option       "Device" "/dev/input/mice"
  Option       "Name" "ImPS/2 Generic Wheel Mouse"
  Option       "Protocol" "explorerps/2"          
  Option       "Vendor" "Sysp"                    
  Option       "ZAxisMapping" "4 5"               
EndSection                                        


Section "Monitor"
  Option       "CalcAlgorithm" "XServerPool"
  DisplaySize  338 270                      
  HorizSync    30-83                        
  Identifier   "Monitor[0]"                 
  ModelName    "LG ELECTRONICS L1750SQ"     
  Option       "DPMS"                       
  Option       "PreferredMode" "1280x1024"  
  VendorName   "GSM"                        
  VertRefresh  43-75                        
  UseModes     "Modes[0]"                   
EndSection                                  


Section "Modes"
  Identifier   "Modes[0]"
  Modeline      "1280x1024" 108 1280 1328 1440 1688 1024 1025 1028 1066 +hsync +vsync
EndSection                                                                           


Section "Screen"
  DefaultDepth 24
  SubSection "Display"
    Depth      15     
    Modes      "1280x1024" "1280x960" "1280x800" "1152x864" "1280x768" "1280x720" "1024x768" "1280x600" "1024x600" "800x600" "768x576" "640x480"                                                                                                                                          
  EndSubSection                                                                                                                              
  SubSection "Display"                                                                                                                       
    Depth      16                                                                                                                            
    Modes      "1280x1024" "1280x960" "1280x800" "1152x864" "1280x768" "1280x720" "1024x768" "1280x600" "1024x600" "800x600" "768x576" "640x480"                                                                                                                                          
  EndSubSection                                                                                                                              
  SubSection "Display"                                                                                                                       
    Depth      24                                                                                                                            
    Modes      "1280x1024" "1280x960" "1280x800" "1152x864" "1280x768" "1280x720" "1024x768" "1280x600" "1024x600" "800x600" "768x576" "640x480"                                                                                                                                          
  EndSubSection                                                                                                                              
  SubSection "Display"                                                                                                                       
    Depth      8                                                                                                                             
    Modes      "1280x1024" "1280x960" "1280x800" "1152x864" "1280x768" "1280x720" "1024x768" "1280x600" "1024x600" "800x600" "768x576" "640x480"                                                                                                                                          
  EndSubSection                                                                                                                              
  Device       "Device[0]"                                                                                                                   
  Identifier   "Screen[0]"                                                                                                                   
  Monitor      "Monitor[0]"                                                                                                                  
EndSection                                                                                                                                   


Section "Device"
  BoardName    "ATI Radeon HD 3300 Graphics (RS780 9614)"
  Driver       "fglrx"                                   
  Identifier   "Device[0]"                               
  Option       "XAANoOffscreenPixmaps" "true"            
  Option       "Capabilities" "0x00000000"               
  Option       "OpenGLOverlay" "off"                     
  Option       "AccelMethod" "EXA"                       
  Option       "VideoOverlay" "on"
  Screen       0
  VendorName   "ATI"
EndSection



Section "ServerLayout"
  Identifier   "Layout[all]"
  InputDevice  "Keyboard[0]" "CoreKeyboard"
  InputDevice  "Mouse[1]" "CorePointer"
  Option       "Clone" "off"
  Option       "Xinerama" "off"
  Screen       "Screen[0]"
EndSection


Section "DRI"
    Group      "video"
    Mode       0660
EndSection

Section "Extensions"
  Option       "Composite" "on"
EndSection
Comment 2 Martin Flöser 2009-04-24 17:32:52 UTC
could you please post your glxinfo?
Comment 3 Oleg Terehov 2009-04-24 21:12:54 UTC
(In reply to comment #2)
> could you please post your glxinfo?

glxinfo
name of display: :0.0         
display: :0  screen: 0        
direct rendering: Yes         
server glx vendor string: SGI 
server glx version string: 1.2
server glx extensions:        
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_OML_swap_method,          
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group     
client glx vendor string: SGI                                                 
client glx version string: 1.4                                                
client glx extensions:                                                        
    GLX_ARB_create_context, GLX_ARB_get_proc_address, GLX_ARB_multisample,    
    GLX_EXT_import_context, GLX_EXT_visual_info, GLX_EXT_visual_rating,       
    GLX_MESA_allocate_memory, GLX_MESA_swap_control,                          
    GLX_MESA_swap_frame_usage, GLX_NV_swap_group, GLX_OML_swap_method,        
    GLX_OML_sync_control, GLX_SGI_make_current_read, GLX_SGI_swap_control,    
    GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig,              
    GLX_SGIX_pbuffer, GLX_SGIX_swap_barrier, GLX_SGIX_swap_group,             
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap                 
GLX extensions:                                                               
    GLX_ARB_create_context, GLX_ARB_get_proc_address, GLX_ARB_multisample,    
    GLX_EXT_import_context, GLX_EXT_visual_info, GLX_EXT_visual_rating,       
    GLX_MESA_swap_control, GLX_NV_swap_group, GLX_OML_swap_method,            
    GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig,              
    GLX_SGIX_swap_barrier, GLX_SGIX_swap_group, GLX_SGIX_visual_select_group  
OpenGL vendor string: ATI Technologies Inc.                                   
OpenGL renderer string: ATI Radeon HD 3300 Graphics                           
OpenGL version string: 2.1.8494 Release                                       
OpenGL extensions:                                                            
    GL_AMD_performance_monitor, GL_ARB_color_buffer_float,                    
    GL_ARB_depth_buffer_float, GL_ARB_depth_texture, GL_ARB_draw_buffers,     
    GL_ARB_draw_instanced, GL_ARB_fragment_program,                           
    GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader,                   
    GL_ARB_framebuffer_object, GL_ARB_framebuffer_sRGB,                       
    GL_ARB_half_float_pixel, GL_ARB_half_float_vertex,                        
    GL_ARB_instanced_arrays, GL_ARB_map_buffer_range, GL_ARB_multisample,     
    GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_pixel_buffer_object,  
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_shader_objects,      
    GL_ARB_shader_texture_lod, GL_ARB_shading_language_100, GL_ARB_shadow,    
    GL_ARB_shadow_ambient, GL_ARB_texture_border_clamp,                       
    GL_ARB_texture_compression, GL_ARB_texture_compression_rgtc,              
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add,                          
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar,                  
    GL_ARB_texture_env_dot3, GL_ARB_texture_float,                            
    GL_ARB_texture_mirrored_repeat, GL_ARB_texture_non_power_of_two,          
    GL_ARB_texture_rectangle, GL_ARB_texture_rg, GL_ARB_transpose_matrix,     
    GL_ARB_vertex_array_object, GL_ARB_vertex_buffer_object,                  
    GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ARB_window_pos,           
    GL_ATI_draw_buffers, GL_ATI_envmap_bumpmap, GL_ATI_fragment_shader,       
    GL_ATI_meminfo, GL_ATI_separate_stencil, GL_ATI_texture_compression_3dc,  
    GL_ATI_texture_env_combine3, GL_ATI_texture_float, GL_EXT_abgr,           
    GL_EXT_bgra, GL_EXT_bindable_uniform, GL_EXT_blend_color,                 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate,               
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_compiled_vertex_array, 
    GL_EXT_copy_texture, GL_EXT_draw_buffers2, GL_EXT_draw_range_elements,    
    GL_EXT_fog_coord, GL_EXT_framebuffer_blit, GL_EXT_framebuffer_multisample, 
    GL_EXT_framebuffer_object, GL_EXT_framebuffer_sRGB,                        
    GL_EXT_gpu_program_parameters, GL_EXT_gpu_shader4,                         
    GL_EXT_multi_draw_arrays, GL_EXT_packed_depth_stencil,                     
    GL_EXT_packed_float, GL_EXT_packed_pixels, GL_EXT_point_parameters,        
    GL_EXT_rescale_normal, GL_EXT_secondary_color,                             
    GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, GL_EXT_stencil_wrap,  
    GL_EXT_subtexture, GL_EXT_texgen_reflection, GL_EXT_texture3D,             
    GL_EXT_texture_array, GL_EXT_texture_compression_latc,                     
    GL_EXT_texture_compression_rgtc, GL_EXT_texture_compression_s3tc,          
    GL_EXT_texture_cube_map, GL_EXT_texture_edge_clamp,                        
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine,                        
    GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic,                
    GL_EXT_texture_integer, GL_EXT_texture_lod_bias,                           
    GL_EXT_texture_mirror_clamp, GL_EXT_texture_object,                        
    GL_EXT_texture_rectangle, GL_EXT_texture_sRGB,                             
    GL_EXT_texture_shared_exponent, GL_EXT_transform_feedback,                 
    GL_EXT_vertex_array, GL_KTX_buffer_region, GL_NV_blend_square,             
    GL_NV_conditional_render, GL_NV_copy_depth_to_color,                       
    GL_NV_texgen_reflection, GL_SGIS_generate_mipmap,                          
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_WIN_swap_hint,         
    WGL_EXT_swap_control                                                       
glu version: 1.3                                                               
glu extensions:                                                                
    GLU_EXT_nurbs_tessellator, GLU_EXT_object_space_tess                       

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x24 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x25 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x26 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x27 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x28 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x29 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x2a 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x2b 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x2c 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x2d 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x2e 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x2f 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  2 1 None
0x30 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  2 1 None
0x31 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  2 1 None
0x32 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  2 1 None
0x33 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x34 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x35 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x36 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x37 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  4 1 None
0x38 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  4 1 None
0x39 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  4 1 None
0x3a 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  4 1 None
0x3b 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x3c 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x3d 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x3e 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x3f 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x40 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x41 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x42 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x43 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x44 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x45 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x46 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x47 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x48 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x49 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x4a 24 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x4b 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x4c 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x4d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x4e 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x4f 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x50 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x51 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x52 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x53 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x54 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x55 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x56 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x57 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  2 1 None
0x58 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  2 1 None
0x59 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  2 1 None
0x5a 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  2 1 None
0x5b 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x5c 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x5d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x5e 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x5f 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  4 1 None
0x60 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  4 1 None
0x61 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  4 1 None
0x62 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  4 1 None
0x63 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x64 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x65 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x66 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x67 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x68 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x69 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x6a 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x6b 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x6c 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 None
0x6d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x6e 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 None
0x6f 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x70 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x71 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0x72 24 dc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
0xa5 32 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  4 1 Ncon
Comment 4 Martin Flöser 2009-04-24 21:27:02 UTC
thanks - it's not what I thought.

could you please start kwin from a konsole and paste us the output? It's
kwin --replace

There should be a reason given why compositing is not enabled.
Comment 5 Oleg Terehov 2009-04-25 00:08:53 UTC
(In reply to comment #4)
> thanks - it's not what I thought.
I know.  
> could you please start kwin from a konsole and paste us the output? It's
> kwin --replace
> 
> There should be a reason given why compositing is not enabled.
empty
 kwin --replace
Comment 6 Martin Flöser 2009-04-25 10:17:05 UTC
(In reply to comment #5)
> empty
>  kwin --replace

Please enable kwin (1212) in kdebugdialog and try again
Comment 7 Oleg Terehov 2009-04-25 23:13:51 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > empty
> >  kwin --replace
> 
> Please enable kwin (1212) in kdebugdialog and try again

kwin had been enabled.
Comment 8 Lubos Lunak 2009-04-28 18:31:11 UTC
Please recheck with 4.2.3.
Comment 9 Oleg Terehov 2009-05-06 23:02:09 UTC
(In reply to comment #8)
> Please recheck with 4.2.3.
kde4-kwin-4.2.3-229.1
The problem still is present.
Comment 10 Simon Paridon 2009-06-26 20:59:21 UTC
I can confirm this problem. I'm running KDE 4.2.90 from SuSE 11.1 factory.

Additional information: this problem occurs not only when trying to enable desktop effects, but also when trying to run amdcccle, opening the display kconfig module and running Wine applications. In some version update (sorry I didn't keep track which one...) the blinking stopped, but the problem is still there (the problem being paragraphs like the following written to the .xsession-errors for a while and Xorg full CPU usage)

RandRDisplay::handleEvent - RRScreenChangeNotify win:  167  root:  167 
RandRScreen::handleEvent 
Reloaded modes 
RandRDisplay::handleEvent - RRNotify win:  6864265 
RandRScreen::handleRandREvent - OutputChange 
[OUTPUT 138 ] Got event for  "CRT1" 
       crtc:  135 (current  135 ) 
       mode:  139 (current  139 ) 
       rotation:  1 
       connection:  0 

For me, the Desktop effects can be enabled, but not from the kconfig module. The reason you can't use it to enable them is that when clicking apply, the GUI becomes unresponsive and the reset timer runs down while you're unable to confirm it. Composite is correctly detected. If you manage to activate desktop effects in some way or another, you can't do much at all because Xorg continues to use 100% CPU.

This is especially bugging me because it happens when trying to start Wine applications. It takes a while to start them while your system is mostly unresponsive. I'm using the proprietary ATI driver, but it also happened to me with the free one I THINK. Please let me know if you want me to test it again with the free driver.
Comment 11 Simon Paridon 2009-06-26 22:00:50 UTC
I'm sorry I didn't check earlier. Actually, I could enable desktop effects from the GUI. They get enabled, but system becomes barely usable as described above. This is the output from kwin --replace when enabled in kdebugdialog:

kwin(8278) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "a"  fixes: 0x "40"                                                                                          
kwin(8278) KWin::CompositingPrefs::detect: glx version is  1 . 2                                     
kwin(8278) KWin::CompositingPrefs::detectDriverAndVersion: GL vendor is "ATI Technologies Inc."      
kwin(8278) KWin::CompositingPrefs::detectDriverAndVersion: GL renderer is "ATI Radeon HD 2600 Pro"   
kwin(8278) KWin::CompositingPrefs::detectDriverAndVersion: GL version is "1.4 (2.1.8494 Release)"    
kwin(8278) KWin::CompositingPrefs::detectDriverAndVersion: XGL: no                                   
kwin(8278) KWin::CompositingPrefs::detectDriverAndVersion: Detected driver "fglrx" , version "2.1.849"                                                                                                    
kwin(8278) KDecorationPlugins::loadPlugin: kwin : path  "/usr/lib64/kde4/kwin3_oxygen.so"  for  "kwin3_oxygen"                                                                                            
kwin(8278) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "a"  fixes: 0x "40"                                                                                          
kwin(8278) KWin::Workspace::setupCompositing: Compositing is turned off in options or disabled       
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, initial: 4294967295               
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295                   
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 31457414 ;WMCLASS: "plasma" : "plasma" ;Caption: "plasma-desktop" ' : 18446744073709551615                                 
kwin(8278) KWin::Workspace::allowClientActivation: Activation: No client active, allowing            
kwin(8278) KWin::Workspace::updateClientArea: screens:  1 desktops:  1                               
kwin(8278) KWin::Workspace::updateClientArea: Done.                                                  
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, initial: 4294967295               
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295                   
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 25165953 ;WMCLASS: "thunderbird-bin" : "gecko" ;Caption: "Posteingang - Thunderbird" ' : 18446744073709551615              
kwin(8278) KWin::Workspace::allowClientActivation: Activation: No client active, allowing            
kwin(8278) KWin::Workspace::updateClientArea: screens:  1 desktops:  1                               
kwin(8278) KWin::Workspace::updateClientArea: Done.                                                  
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, initial: 34218587                 
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 34218587                     
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 58720385 ;WMCLASS: "firefox" : "navigator" ;Caption: "Bug 189957 – kwin effects are not enabled on ati card - Mozilla Firefox" ' : 34218587
kwin(8278) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(8278) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(8278) KWin::Workspace::updateClientArea: Done.
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, initial: 34241116
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 34241116
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 75497497 ;WMCLASS: "kdebugdialog" : "kdebugdialog" ;Caption: "Einstellungen für Fehleranalyse – KDebugDialog" ' : 34241116
kwin(8278) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(8278) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(8278) KWin::Workspace::updateClientArea: Done.
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, initial: 34248886
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 34248886
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 65011737 ;WMCLASS: "konsole" : "konsole" ;Caption: "simon : bash" ' : 34248886
kwin(8278) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(8278) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(8278) KWin::Workspace::updateClientArea: Done.
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, initial: 34188644
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 34188644
kwin(8278) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 31457468 ;WMCLASS: "plasma" : "plasma" ;Caption: "plasma-desktop" ' : 34188644
kwin(8278) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(8278) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(8278) KWin::Workspace::updateClientArea: Done.
kwin(8278) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(8278) KWin::Workspace::updateClientArea: Done.
Comment 12 Andrei ILIE 2010-02-21 17:19:37 UTC
Created attachment 40986 [details]
glxinfo output
Comment 13 Andrei ILIE 2010-02-21 17:20:48 UTC
I can also confirm this bug on my system:

Hard: Intel Q6600, Intel MB, ATI HD 2600 XT
Soft: OpenSUSE 11.2, KDE 4.3.5



PS. glxinfo output attached
Comment 14 Martin Flöser 2010-12-18 13:58:16 UTC
Is this still an issue in 4.5 or 4.6?
Comment 15 Martin Flöser 2011-01-14 22:50:54 UTC
please test on latest 4.5 or 4.6.
Comment 16 Andrew Crouthamel 2018-09-22 01:48:42 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 17 Simon Paridon 2018-09-22 10:43:15 UTC
Dear Triage Bot,

not the submitter here, but I figured I'd respond in their stead since they are no longer on CC.

Considering that nobody has provided any new input for not only 15 days, but in fact for the past 9 years, during which not only a new major KDE release dropped, but also, among others, a significant change in KDE branding and a partial rewrite of KWin occurred - yeah I'd say it's fair to close this bug.

That said, I can't actually provide the requested information, considering I'd have to buy an ATI graphics card and build a system running KDE 4.5/4.6. Seems overkill for a bug that probably doesn't apply to recent versions of KWin anyway.
Comment 18 Andrew Crouthamel 2018-09-23 02:22:49 UTC
Not a bot yet ;)

Thanks for the update, I'll close this.